# Uses of Record Class
org.apache.lucene.index.LeafMetaData

Packages that use LeafMetaData
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of LeafMetaData in org.apache.lucene.index

  Methods in org.apache.lucene.index that return LeafMetaData
  Modifier and Type
  Method
  Description
  `LeafMetaData`
  FilterCodecReader.`getMetaData()`
  `LeafMetaData`
  FilterLeafReader.`getMetaData()`
  `abstract LeafMetaData`
  LeafReader.`getMetaData()`
  Return metadata about this leaf.
  `LeafMetaData`
  ParallelLeafReader.`getMetaData()`
  `LeafMetaData`
  SegmentReader.`getMetaData()`
  `LeafMetaData`
  SortingCodecReader.`getMetaData()`